Please support VectorLinux!

Author Topic: [solved] dosemu 1.4.0-i586-3vl70 problem  (Read 2692 times)

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
[solved] dosemu 1.4.0-i586-3vl70 problem
« on: January 31, 2013, 12:28:49 pm »
Hello.  I tried to use dosemu 1.4.0-i586-3vl70, but got the following result:
Code: [Select]
vector:/~
mark:$ dosemu
LOWRAM mmap: Invalid argument
Segmentation fault
« Last Edit: January 31, 2013, 01:49:12 pm by MarkGrieveson »
I am using VL7.0 standard with XFCE

sledgehammer

  • Vectorian
  • ****
  • Posts: 1451
Re: dosemu 1.4.0-i586-3vl70 problem
« Reply #1 on: January 31, 2013, 01:23:24 pm »
As root, enter:

echo 0 > /proc/sys/vm/mmap_min_addr

I can't recall exactly, but I think, if you want to make it permanent, you add above to /etc/rc.d/rc.local.  I have heard that this might involve some security issues.



VL7.0 xfce4 Samsung RF511

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: dosemu 1.4.0-i586-3vl70 problem
« Reply #2 on: January 31, 2013, 01:48:44 pm »
Thanks John, that solved it.
I am using VL7.0 standard with XFCE